## Notes. Notes. — Photo notes. |

## Synopsis

                        flickcurl_note;

## Description

Photo notes.

## Details

### flickcurl_note

    typedef struct {
      int id;
      char* author;
      char* authorname;
      unsigned int x;
      unsigned int y;
      unsigned int w;
      unsigned int h;
      char* text;
    } flickcurl_note;

A note attached to a rectangular area on a photo.

A Photo Note.

int `id`; | note identifier (per-photo)
char *`author`; | author (may be NULL)
char *`authorname`; | author real name (may be NULL)
unsigned int `x`; | The left coordinate of the note
unsigned int `y`; | The top coordinate of the note
unsigned int `w`; | The width of the note
unsigned int `h`; | The height of the note
char *`text`; | The description of the note